%global pkgname Log-Handler

Name:           perl-Log-Handler
Version:        0.88
Release:        2%{?dist}
Summary:        Log messages to several outputs
License:        GPL+ or Artistic
Url:            http://search.cpan.org/dist/Log-Handler
Source0:        http://www.cpan.org/modules/by-module/Log/%{pkgname}-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config::General)
BuildRequires:  perl(Config::Properties)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Email::Date)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec)
# IO::Socket::INET
BuildRequires:  perl(Net::SMTP)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(UNIVERSAL)
BuildRequires:  perl(warnings)
# YAML
# Tests only
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:      noarch

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}/

%description
This module is a object oriented handler for logging, tracing and debugging. 
It is very easy to use and provides a simple interface for multiple output 
objects with lots of configuration parameters. You can easily filter the 
amount of logged information on a per-output base, define priorities, create 
patterns to format the messages and reload the complete logging machine.

%prep
%setup -qn %{pkgname}-%{version} 

%build
perl Makefile.PL NO_PERLLOCAL=1 NO_PACKLIST=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc ChangeLog README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.88-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 09 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.88-1
- 0.88 bump

* Thu May 19 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.87-3
- Perl 5.24 re-rebuild of bootstrapped packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.87-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 22 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.87-1
- 0.87 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.84-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.84-2
- Perl 5.22 rebuild

* Thu Oct 30 2014 Christopher Meng <rpm@cicku.me> - 0.84-1
- Update to 0.84

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.82-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.82-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 10 2013 Christopher Meng <rpm@cicku.me> - 0.82-1
- Update to 0.82

* Sun Nov 03 2013 Christopher Meng <rpm@cicku.me> - 0.81-1
- Update to 0.81

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.78-3
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.78-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 17 2013 Christopher Meng <rpm@cicku.me> - 0.78-1
- Initial Package.
